import * as yaml from 'js-yaml';
import * as lib from './lib';
import * as types from './lib/.types';
export { yaml, lib, types };
declare const _default: {
    loadFile: types.Function.AsyncReader;
    safeLoadFile: types.Function.AsyncReader;
    loadFileSync: types.Function.SyncReader;
    safeLoadFileSync: types.Function.SyncReader;
    dumpFile: types.Function.AsyncWriter;
    safeDumpFile: types.Function.AsyncWriter;
    dumpFileSync: types.Function.SyncWriter;
    safeDumpFileSync: types.Function.SyncWriter;
    safeLoad(str: string, opts?: yaml.LoadOptions | undefined): any;
    load(str: string, opts?: yaml.LoadOptions | undefined): any;
    safeLoadAll(str: string, iterator?: undefined, opts?: yaml.LoadOptions | undefined): any[];
    safeLoadAll(str: string, iterator: (doc: any) => void, opts?: yaml.LoadOptions | undefined): undefined;
    loadAll(str: string, iterator?: undefined, opts?: yaml.LoadOptions | undefined): any[];
    loadAll(str: string, iterator: (doc: any) => void, opts?: yaml.LoadOptions | undefined): undefined;
    safeDump(obj: any, opts?: yaml.DumpOptions | undefined): string;
    dump(obj: any, opts?: yaml.DumpOptions | undefined): string;
    Type: typeof yaml.Type;
    Schema: typeof yaml.Schema;
    FAILSAFE_SCHEMA: yaml.Schema;
    JSON_SCHEMA: yaml.Schema;
    CORE_SCHEMA: yaml.Schema;
    DEFAULT_SAFE_SCHEMA: yaml.Schema;
    DEFAULT_FULL_SCHEMA: yaml.Schema;
    MINIMAL_SCHEMA: yaml.Schema;
    SAFE_SCHEMA: yaml.Schema;
    YAMLException: typeof yaml.YAMLException;
};
export default _default;
