"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const js_yaml_1 = tslib_1.__importDefault(require("js-yaml"));
const types = tslib_1.__importStar(require("../.types"));
const read_file_sync_1 = tslib_1.__importDefault(require("../.utils/read-file-sync"));
function mkfn(load) {
    return (source, options) => {
        const data = read_file_sync_1.default(source, options);
        try {
            return load(data, options);
        }
        catch (error) {
            if (error instanceof js_yaml_1.default.YAMLException) {
                throw new types.LoadFileError(source, error);
            }
            throw error;
        }
    };
}
exports.loadFileSync = mkfn(js_yaml_1.default.load);
exports.unsafe = exports.loadFileSync;
exports.safeLoadFileSync = mkfn(js_yaml_1.default.safeLoad);
exports.safe = exports.safeLoadFileSync;
exports.default = exports.loadFileSync;
//# sourceMappingURL=index.js.map