"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const js_yaml_1 = tslib_1.__importDefault(require("js-yaml"));
const types = tslib_1.__importStar(require("../.types"));
const read_file_1 = tslib_1.__importDefault(require("../.utils/read-file"));
function mkfn(load) {
    return async (source, options) => {
        const data = await read_file_1.default(source, options);
        try {
            return load(data, options);
        }
        catch (error) {
            if (error instanceof js_yaml_1.default.YAMLException) {
                throw new types.LoadFileError(source, error);
            }
            throw error;
        }
    };
}
exports.loadFile = mkfn(js_yaml_1.default.load);
exports.unsafe = exports.loadFile;
exports.safeLoadFile = mkfn(js_yaml_1.default.safeLoad);
exports.safe = exports.safeLoadFile;
exports.default = exports.loadFile;
//# sourceMappingURL=index.js.map